=== debian/changelog ===
cdftools (3.0-2~exp1.1) unstable; urgency=medium

  * Non-maintainer upload. (closes: #777813)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 20:53:51 +0200

cdftools (3.0-2~exp1) experimental; urgency=medium

  * Add Vcs-Git: to debian/control 
  * Move to Standards-Version: 3.9.6 
  * Move bash-completions to /usr/share/bash-completion/completions/
  * Build with netcdf-fortran

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jul 2015 12:10:50 +0100

cdftools (3.0-1) unstable; urgency=low

  * Initial release. (Closes: #709631).

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Nov 2013 19:04:43 +0100
