=== debian/control ===
Source: cdftools
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), gfortran, libnetcdf-dev, libnetcdff-dev
Standards-Version: 3.9.6
Homepage: http://servforge.legi.grenoble-inp.fr/projects/CDFTOOLS
Vcs-Git: git://anonscm.debian.org/debian-science/packages/cdftools.git

Package: cdftools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Diagnostic tools for NEMO netCDF output
 CDFTOOLS is a diagnostic package written in fortran 90 for the analysis
 of NEMO model output in the frame of the DRAKKAR project.
 NEMO (Nucleus for European Modelling of the Ocean) is a state-of-the-art
 modeling framework for oceanographic research, operational oceanography
 seasonal forecast and climate studies.
