=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  

DESTDIR:=debian/cdftools

override_dh_auto_configure:
	ln -sf Macrolib/macro.gfortran make.macro
	mkdir bin

override_dh_auto_make:
	$(MAKE)
	$(MAKE) -c DOC pdf

override_dh_auto_clean:
	rm -f make.macro  *.mod *.o DOC/*.pdf DOC/*.docs
	rm -fr bin
	$(MAKE) -C DOC clean

override_dh_auto_install:
	$(MAKE) install INSTALL=`pwd`/debian/tmp
	mkdir -p $(DESTDIR)//usr/share/bash-completion/completions
	cp debian/bash.completion $(DESTDIR)/usr/share/bash-completion/completions/cdftools
