=== debian/changelog ===
cdftools (3.0.2-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 09:30:23 +0000

cdftools (3.0.2-1) experimental; urgency=medium

  * New upstream release
    -  Enable nc4, CMIP6 functionality
  * DH_COMPAT=10
  * Add gbp.conf file
  * Add watch file
  * Use xz compression
  * Standards-Version: 4.1.2
  * Add texlive-latex-base dep. for pdflatex

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2017 12:39:06 +0000
