=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), gfortran, libnetcdf-dev, libnetcdff-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), 
+ gfortran, 
+ texlive-latex-base,
+ libnetcdf-dev, libnetcdff-dev
+Standards-Version: 4.1.2
 Homepage: http://servforge.legi.grenoble-inp.fr/projects/CDFTOOLS
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/cdftools.git
