=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  

DESTDIR:=debian/cdftools

override_dh_auto_build:
	ln -sf ../debian/macro.gfortran_debian src/make.macro
	mkdir -p bin
	$(MAKE) -C src
	$(MAKE) -C DOC pdf

override_dh_auto_clean:
	ln -sf ../debian/macro.gfortran_debian src/make.macro
	$(MAKE) -C src clean
	$(MAKE) -C DOC clean
	rm -f  src/make.macro src/*.mod src/*.o DOC/*.pdf DOC/*.docs
	rm -fr bin

override_dh_auto_install:
	$(MAKE) -C src install INSTALL=`pwd`/debian/tmp
	mkdir -p $(DESTDIR)//usr/share/bash-completion/completions
	cp debian/bash.completion $(DESTDIR)/usr/share/bash-completion/completions/cdftools
