=== debian/changelog ===
cdftools (4.0.0-4) unstable; urgency=medium

  * Enable build with Fortran other than gfortran (set via FC)
  * Use new fortran fpm buildtool
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.3; no changes required
  * Drop unnecessary Priority: optional
  * d/gbp.conf: now pristine-tar=True
  * Minor cleanups , via cme
  * Changing license name to SPDX standard
  * d/gbp.conf: revert to default upstream branch
  * Remove custom-compression xz

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 08:25:44 +0000

cdftools (4.0.0-3) unstable; urgency=medium

  * Drop unused B-D on libnetcdf-dev. Closes: #10050788
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Aug 2023 15:35:09 +0100

cdftools (4.0.0-2) unstable; urgency=medium

  * Update d/watch file for new file format (v4.0.0.tar.gz)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Apr 2022 15:02:49 +0100

cdftools (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Add d/gbp.conf pointing to DEP-14 branches
  * Change VCS-Git branch in d/control to point to debian/latest
  * Standards-Version: 4.6.0
  * Don't try to build with key_CMIP6

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Oct 2021 14:25:50 +0100

cdftools (3.0.2-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Ack bug fixed in last release: Closes: #949132

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2020 12:46:09 +0000

cdftools (3.0.2-4) unstable; urgency=medium

  * Update homepage to https://github.com/meom-group/CDFTOOLS
  * Add B-D on texlive-latex-recommended, Closes: #949132
  * Standards-Version: 4.4.1.0
  * B-D on gfortran | fortran-compiler
  * Change d/macro.gfortran_debian to d/macro.f95_debian for flang compat.
  * Move to use debhelper-compat (= 12)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Feb 2020 13:23:49 +0000

cdftools (3.0.2-3) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Move VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Mar 2018 16:52:23 +0000
