=== debian/control ===
Source: cdftools
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 dh-fortran,
 gfortran | fortran-compiler,
 texlive-latex-base,
 texlive-latex-recommended,
 libnetcdff-dev,
Vcs-Browser: https://salsa.debian.org/science-team/cdftools
Vcs-Git: https://salsa.debian.org/science-team/cdftools.git -b debian/latest
Homepage: https://github.com/meom-group/CDFTOOLS

Package: cdftools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Diagnostic tools for NEMO netCDF output
 CDFTOOLS is a diagnostic package written in fortran 90 for the analysis
 of NEMO model output in the frame of the DRAKKAR project.
 NEMO (Nucleus for European Modelling of the Ocean) is a state-of-the-art
 modeling framework for oceanographic research, operational oceanography
 seasonal forecast and climate studies.
