=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --buildsystem=fortran --with=fortran

#DESTDIR:=debian/cdftools

execute_after_dh_auto_build:
	$(MAKE) -C DOC pdf

execute_after_dh_auto_clean:
	$(MAKE) -C DOC clean
	rm -f  DOC/*.pdf DOC/*.docs

#override_dh_auto_install:
#	$(MAKE) -C src install INSTALL=`pwd`/debian/tmp
#	mkdir -p $(DESTDIR)//usr/share/bash-completion/completions
#	cp debian/bash.completion $(DESTDIR)/usr/share/bash-completion/completions/cdftools
